SET DEFINE OFF;

ALTER TABLE UYE.TAHAKKUK ADD
(YAPILANDIRMATIPI VARCHAR2(1),
YAPILANDIRMAMSJ VARCHAR2(20));


Insert into UYE.TAHAKKUKTIPI
   (TAHAKKUKTIPKODU, TAHAKKUKTIPTANIMI, TAKSITSAYISI, ISUPDATEABLE, GOSTER)
 Values
   ('10111', 'BOR YAPILANDIRMA (6736 S.KANUN)', 6, '1', '1');


UPDATE UYE.TAHAKKUK SET YAPILANDIRMATIPI = 1 WHERE TAHAKKUKTIPKODU = '10110';
UPDATE UYE.TAHAKKUK SET YAPILANDIRMATIPI = 1 WHERE YAPILANDIRMA IS NOT NULL AND YAPILANDIRMATIPI IS NULL;

Insert into SECURITY.SECURITY_TEMPLATE
   (APPLICATION, WINDOW, CONTROL, DESCRIPTION, OBJECT_TYPE)
 Values
   ('uye', 'm_frame_uye', 'm_6736', '6736 Yasasna Gre Yaplandrma Ekran', 'menuitem');

Insert into SECURITY.SECURITY_TEMPLATE
   (APPLICATION, WINDOW, CONTROL, DESCRIPTION, OBJECT_TYPE)
 Values
   ('uye', 'w_uyetahakkuk_6736', 'cb_yapilandir', '6736 Yasasna Gre Yaplandrma Dmesi', 'u_cb');
   
Insert into SECURITY.SECURITY_INFO
   (APPLICATION, WINDOW, CONTROL, USER_NAME, STATUS)
 Values
   ('uye', 'w_uyetahakkuk_6736', 'cb_yapilandir', 'admin', 'E');   

Insert into SECURITY.SECURITY_TEMPLATE
   (APPLICATION, WINDOW, CONTROL, DESCRIPTION, OBJECT_TYPE)
 Values
   ('uye', 'w_uyetahakkuk_6736', 'cb_gerial', '6736 Yasasna Gre Yaplandrma Geri Alma Dmesi', 'u_cb');
   
Insert into SECURITY.SECURITY_INFO
   (APPLICATION, WINDOW, CONTROL, USER_NAME, STATUS)
 Values
   ('uye', 'w_uyetahakkuk_6736', 'cb_gerial', 'admin', 'E');   

COMMIT;


ALTER    FUNCTION    UYE.SF_TAHAKKUKEKLE    COMPILE;
ALTER    TRIGGER        UYE.AU_TAHAKKUK_TAHAKKUKLOG    COMPILE;
ALTER    TRIGGER        UYE.AD_TAHAKKUK_TAHAKKUKLOG	COMPILE;
ALTER	VIEW	    ORT.V_DETAYLIMAKBUZ	COMPILE;
ALTER	PROCEDURE	UYE.SP_CEZAHESABI	COMPILE;
ALTER	PROCEDURE	UYE.SP_TAHSILAT	COMPILE;
ALTER	FUNCTION	UYE.SF_REP_GZTOPLAMTAHSILAT	COMPILE;
ALTER	FUNCTION	UYE.SF_REP_GZTOPLAM	COMPILE;
ALTER	FUNCTION	UYE.SF_REP_MAKBUZCEZA	COMPILE;
ALTER	FUNCTION	UYE.SF_KAYDIYETAHAKKUKSAYISI	COMPILE;
ALTER	FUNCTION	UYE.SF_TAHAKKUKEKLE	COMPILE;
ALTER	FUNCTION	UYE.SF_MAKBUZIPTAL	COMPILE;



